> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Ai Playbooks



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/ai-playbooks
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/ai-playbooks:
    get:
      tags:
        - AI Playbooks API
      summary: List Ai Playbooks
      operationId: list_ai_playbooks_api_v1_org_ai_playbooks_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AiPlaybookListResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    AiPlaybookListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AiPlaybookItem'
          type: array
          title: Items
      required:
        - items
      title: AiPlaybookListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AiPlaybookItem:
      properties:
        id:
          title: Id
          type: string
        organisation_id:
          type: string
          title: Organisation Id
        cluster_id:
          title: Cluster Id
          type: string
        name:
          title: Name
          type: string
        version:
          type: integer
          title: Version
        condition_kind:
          type: string
          title: Condition Kind
        status:
          type: string
          enum:
            - candidate
            - approved
            - trusted
            - retired
          title: Status
        risk_class:
          type: string
          enum:
            - low
            - medium
            - high
          title: Risk Class
        document:
          type: object
          title: Document
        clean_runs:
          type: integer
          title: Clean Runs
        created_by:
          type: string
          title: Created By
        platform_template:
          type: boolean
          title: Platform Template
      required:
        - id
        - organisation_id
        - cluster_id
        - name
        - version
        - condition_kind
        - status
        - risk_class
        - document
        - clean_runs
        - created_by
        - platform_template
      title: AiPlaybookItem
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````